=== debian/changelog ===
qt6-graphs (6.8.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 30 Mar 2025 18:49:09 -0500
